# coding: Shift_JIS

# ##############################

# ファイル名: pragma.py
# 機能: プリプロセス命令およびアセンブリ処理を削除する．
# 関数: pragma
# 著者名: 山本椋太，若林丈紘

# ##############################

#from parse import *
import re
import sys

# ##############################

# 関数名: pragma
# 機能: プリプロセス命令およびアセンブリ処理を削除する．
# 引数
#   readFile: 解析対象のcファイル
#   writeFile: 解析対象のcファイル

# ##############################

def pragma(readFile,writeFile):

    fi = open(readFile)
    lines = fi.readlines()
    fi.close()

    fo = open(writeFile,'w')
    i = 1

    for line in lines:
        if re.match("^_",line):
            continue
        elif re.match("^#",line):
            continue
        else:
            print(line,file=fo,end="")
            
if __name__ == '__main__':
     pragma(sys.argv[1],sys.argv[2])